Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.configuration
Class ConfigurationLoader

    java.lang.Object
      com.sshtools.j2ssh.configuration.ConfigurationLoader

public class ConfigurationLoader
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`ConfigurationLoader()`

Method Summary
`static java.lang.String` | `checkAndGetProperty(java.lang.String property, java.lang.String defaultValue)` DOCUMENT ME!
`static java.lang.Object` | `getConfiguration(java.lang.Class cls)` DOCUMENT ME!
`static java.lang.String` | `getConfigurationDirectory()` DOCUMENT ME!
`static java.lang.ClassLoader` | `getContextClassLoader()` DOCUMENT ME!
`static java.lang.Class` | `getExtensionClass(java.lang.String name)` DOCUMENT ME!
`static java.lang.String` | `getHomeDirectory()` DOCUMENT ME!
`static java.security.SecureRandom` | `getRND()` DOCUMENT ME!
`static java.lang.String` | `getVersionString(java.lang.String projectname, java.lang.String versionFile)` DOCUMENT ME!
`static void` | `initialize(boolean force)` DOCUMENT ME!
`static void` | `initialize(boolean force, ConfigurationContext context)` Initializes the J2SSH api with a specified configuration context.
`static boolean` | `isConfigurationAvailable(java.lang.Class cls)` DOCUMENT ME!
`static boolean` | `isContextClassLoader()` DOCUMENT ME!
`static java.io.InputStream` | `loadFile(java.lang.String filename)` DOCUMENT ME!
`static java.io.OutputStream` | `saveFile(java.lang.String filename)` DOCUMENT ME!
`static void` | `setContextClassLoader(java.lang.ClassLoader clsLoader)` DOCUMENT ME!
`static void` | `setHomeDirectory(java.lang.String homedir)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationLoader

    public ConfigurationLoader()

Method Detail

### getRND

    public static java.security.SecureRandom getRND()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getVersionString

    public static java.lang.String getVersionString(java.lang.String projectname,
                                                    java.lang.String versionFile)

  DOCUMENT ME!

  Parameters:
    `projectname` - DOCUMENT ME!
    `versionFile` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### checkAndGetProperty

    public static java.lang.String checkAndGetProperty(java.lang.String property,
                                                       java.lang.String defaultValue)

  DOCUMENT ME!

  Parameters:
    `property` - DOCUMENT ME!
    `defaultValue` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### initialize

    public static void initialize(boolean force)
                           throws ConfigurationException

  DOCUMENT ME!

  Parameters:
    `force` - DOCUMENT ME!
  Throws:
    `ConfigurationException` - DOCUMENT ME!

### initialize

    public static void initialize(boolean force,
                                  ConfigurationContext context)
                           throws ConfigurationException

  Initializes the J2SSH api with a specified configuration context. This method will attempt to load the Bouncycastle JCE if it detects the java version is 1.3.1.

  Parameters:
    `force` - force the configuration to load even if a configuration already exists
    `context` - the configuration context to load
  Throws:
    `ConfigurationException` - if the configuration is invalid or if a security provider is not available

### isConfigurationAvailable

    public static boolean isConfigurationAvailable(java.lang.Class cls)
                                            throws ConfigurationException

  DOCUMENT ME!

  Parameters:
    `cls` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ConfigurationException` - DOCUMENT ME!

### getConfiguration

    public static java.lang.Object getConfiguration(java.lang.Class cls)
                                             throws ConfigurationException

  DOCUMENT ME!

  Parameters:
    `cls` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ConfigurationException` - DOCUMENT ME!

### getConfigurationDirectory

    public static java.lang.String getConfigurationDirectory()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getExtensionClass

    public static java.lang.Class getExtensionClass(java.lang.String name)
                                             throws java.lang.ClassNotFoundException,
                                                    ConfigurationException

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.lang.ClassNotFoundException` - DOCUMENT ME!
    `ConfigurationException` - DOCUMENT ME!

### getHomeDirectory

    public static java.lang.String getHomeDirectory()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setContextClassLoader

    public static void setContextClassLoader(java.lang.ClassLoader clsLoader)

  DOCUMENT ME!

  Parameters:
    `clsLoader` - DOCUMENT ME!

### getContextClassLoader

    public static java.lang.ClassLoader getContextClassLoader()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isContextClassLoader

    public static boolean isContextClassLoader()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setHomeDirectory

    public static void setHomeDirectory(java.lang.String homedir)

  DOCUMENT ME!

### loadFile

    public static java.io.InputStream loadFile(java.lang.String filename)
                                        throws java.io.FileNotFoundException

  DOCUMENT ME!

  Parameters:
    `filename` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.FileNotFoundException` - DOCUMENT ME!

### saveFile

    public static java.io.OutputStream saveFile(java.lang.String filename)
                                         throws java.io.FileNotFoundException

  DOCUMENT ME!

  Parameters:
    `filename` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.FileNotFoundException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD